# Synchronize the local namelists with the remote directory

# Get some variables provided by autosubmit.
WORKDIR=%HPCROOTDIR%
HPCUSER=%HPCUSER%
HPCHOST=%HPCHOST%

# Define local and remote folders
REMOTE_WORKDIR=${WORKDIR}/
PROJ_FOLDER="%PROJDIR%"

folder_name="production_project"
# Transfer the project
if [[ "x$HPCHOST" == "xlocalhost" ]]; then
  mkdir -p ${REMOTE_WORKDIR}/${folder_name}
  rsync -v -u -r --no-relative ${PROJ_FOLDER}/ ${REMOTE_WORKDIR}/${folder_name}
else
  ssh ${HPCUSER}@${HPCHOST} mkdir -p ${REMOTE_WORKDIR}/${folder_name}
  rsync -v -u -r --no-relative ${PROJ_FOLDER}/ ${HPCUSER}@${HPCHOST}:${REMOTE_WORKDIR}/${folder_name}
fi
